- Search for articles
You can search for articles by making a GET request to https://api.intercom.io/articles/search.
If no articles match the search, data is an empty array rather than an object.
Requires the read_articles_scope OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/articles/search
- The european API serverhttps://api.eu.intercom.io/articles/search
- The australian API serverhttps://api.au.intercom.io/articles/search
curl -i -X GET \
'https://api.intercom.io/articles/search?phrase=Getting%20started&state=published&help_center_id=123&highlight=false&page=1&per_page=10' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Search successful
An object containing the results of the search. When no articles match, this is an empty array instead.
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
- Search successful
- No results
{ "type": "list", "total_count": 1, "data": { "articles": [ … ], "highlights": [] }, "pages": { "type": "pages", "page": 1, "total_pages": 1, "per_page": 10 } }